apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: unserveur
  name: unserveur
spec:
  replicas: 3
  selector:
    matchLabels:
      app: unserveur
  template:
    metadata:
      labels:
        app: unserveur
    spec:
      containers:
      - image: nginx:alpine
        imagePullPolicy: IfNotPresent
        name: serveurweb
        ports:
          - containerPort: 80
